#[derive(Debug)]
pub enum Error {
    IOError(std::io::Error),
    InvalidObjectType(u32),
    StringError(&'static str),
    MissingSectionHeader(&'static str),
    MissingSectionData(&'static str),
    InvalidSectionData,
}

impl From<std::io::Error> for Error {
    fn from(err: std::io::Error) -> Self {
        Self::IOError(err)
    }
}
